# Pinout file for XC7S6_FTGB196 chip
set_property CFGBVS VCCO [current_design]
set_property CONFIG_VOLTAGE 3.3 [current_design]

#Palette
set_property PACKAGE_PIN P11 [get_ports {Palette[0]}]
set_property PACKAGE_PIN N11 [get_ports {Palette[1]}]
set_property PACKAGE_PIN P12 [get_ports {Palette[2]}]
set_property PACKAGE_PIN P13 [get_ports {Palette[3]}]

#Overlay
set_property PACKAGE_PIN N14 [get_ports {Overlay[0]}]
set_property PACKAGE_PIN M13 [get_ports {Overlay[1]}]
set_property PACKAGE_PIN M14 [get_ports {Overlay[2]}]
set_property PACKAGE_PIN L13 [get_ports {Overlay[3]}]

#Data
set_property PACKAGE_PIN J14 [get_ports {Data[0]}]
set_property PACKAGE_PIN H14 [get_ports {Data[1]}]
set_property PACKAGE_PIN G14 [get_ports {Data[2]}]
set_property PACKAGE_PIN F14 [get_ports {Data[3]}]
set_property PACKAGE_PIN E13 [get_ports {Data[4]}]
set_property PACKAGE_PIN D14 [get_ports {Data[5]}]
set_property PACKAGE_PIN C14 [get_ports {Data[6]}]
set_property PACKAGE_PIN B13 [get_ports {Data[7]}]

#RS2,RS1,RS0, WR_bar
set_property PACKAGE_PIN B14 [get_ports {RS[0]}]
set_property PACKAGE_PIN P10 [get_ports {RS[1]}]
set_property PACKAGE_PIN N10 [get_ports {RS[2]}]
set_property PACKAGE_PIN G11 [get_ports WR_bar]

#clk,BL
set_property PACKAGE_PIN H11 [get_ports clk]
set_property PACKAGE_PIN P3 [get_ports {BL[2]}]
set_property PACKAGE_PIN P2 [get_ports {BL[1]}]
set_property PACKAGE_PIN N1 [get_ports {BL[0]}]

#blank_bar, LED_ON, PWM
set_property PACKAGE_PIN L14 [get_ports blank_bar]
set_property PACKAGE_PIN A12 [get_ports LED_ON]
set_property PACKAGE_PIN A10 [get_ports PWM]

#LCD_Out1, LCD_Out2, LCD_Out3, LCD_Clock_Out
set_property PACKAGE_PIN A3 [get_ports LCD_Clock_Out_N]
set_property PACKAGE_PIN A4 [get_ports LCD_Clock_Out_P]
set_property PACKAGE_PIN A2 [get_ports LCD_Out3_N]
set_property PACKAGE_PIN B3 [get_ports LCD_Out3_P]
set_property PACKAGE_PIN B1 [get_ports LCD_Out2_N]
set_property PACKAGE_PIN B2 [get_ports LCD_Out2_P]
set_property PACKAGE_PIN C1 [get_ports LCD_Out1_N]
set_property PACKAGE_PIN D1 [get_ports LCD_Out1_P]


#test points
#set_property PACKAGE_PIN L1 [get_ports TP1];
#set_property PACKAGE_PIN L2 [get_ports TP2];
#set_property PACKAGE_PIN J1 [get_ports TP3];
#set_property PACKAGE_PIN J2 [get_ports TP4];
#set_property PACKAGE_PIN H1 [get_ports TP5];
#set_property PACKAGE_PIN H2 [get_ports TP6];
#set_property PACKAGE_PIN G1 [get_ports TP7];
#set_property PACKAGE_PIN F1 [get_ports TP8];

set_property PACKAGE_PIN M1 [get_ports {led1}];  # LOCK LED
set_property IOSTANDARD LVCMOS33 [get_ports {Palette[*]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Overlay[*]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Data[*]}]
set_property IOSTANDARD LVCMOS33 [get_ports {RS[*]}]
set_property IOSTANDARD LVCMOS33 [get_ports WR_bar]
set_property IOSTANDARD LVCMOS33 [get_ports clk]
set_property IOSTANDARD LVCMOS25 [get_ports {BL[*]}]
set_property IOSTANDARD LVCMOS33 [get_ports blank_bar]
set_property IOSTANDARD LVCMOS33 [get_ports LED_ON]
set_property IOSTANDARD LVCMOS33 [get_ports PWM]
set_property IOSTANDARD LVDS_25 [get_ports LCD_Clock_Out_N]
set_property IOSTANDARD LVDS_25 [get_ports LCD_Clock_Out_P]
set_property IOSTANDARD LVDS_25 [get_ports LCD_Out3_N]
set_property IOSTANDARD LVDS_25 [get_ports LCD_Out3_P]
set_property IOSTANDARD LVDS_25 [get_ports LCD_Out2_N]
set_property IOSTANDARD LVDS_25 [get_ports LCD_Out2_P]
set_property IOSTANDARD LVDS_25 [get_ports LCD_Out1_N]
set_property IOSTANDARD LVDS_25 [get_ports LCD_Out1_P]

set_property IOSTANDARD LVCMOS25 [get_ports led1]
#set_property IOSTANDARD LVCMOS25 [get_ports TP1]
#set_property IOSTANDARD LVCMOS25 [get_ports TP2]
#set_property IOSTANDARD LVCMOS25 [get_ports TP3]
#set_property IOSTANDARD LVCMOS25 [get_ports TP4]
#set_property IOSTANDARD LVCMOS25 [get_ports TP5]
#set_property IOSTANDARD LVCMOS25 [get_ports TP6]
#set_property IOSTANDARD LVCMOS25 [get_ports TP7]
#set_property IOSTANDARD LVCMOS25 [get_ports TP8]

set_property PULLUP true [get_ports {BL[2]}]
set_property PULLUP true [get_ports {BL[1]}]
set_property PULLUP true [get_ports {BL[0]}]


set_property DRIVE 16 [get_ports led1]
set_property SLEW SLOW [get_ports led1]


# HR Banks mA Ranges     HP Banks mA Ranges
# LVCMOS33 4,8,12,16
# LVCMOS25 4,8,12,16
# LVCMOS18 4,8,12,16,24  2,4,6,8,12,16
# LVCMOS15 4,8,12,16     2,4,6,8,12,16
# LVCMOS12 4,8,12        2,4,6,8
#added these two lines to speed up the boot up.
set_property BITSTREAM.GENERAL.COMPRESS FALSE [current_design]
set_property BITSTREAM.CONFIG.CONFIGRATE 33 [current_design]




